pg\_test\_fsync

|     pg\_test\_fsync     |                           |                              |                  |                          |
|:-----------------------:|---------------------------|------------------------------|------------------|--------------------------|
|[Prev](app-pgrewind.html)|[Up](reference-server.html)|PostgreSQL Server Applications|[Home](index.html)| [Next](pgtesttiming.html)|

---

[]()

## pg\_test\_fsync

pg\_test\_fsync — determine fastest `wal_sync_method` for PostgreSQL

## Synopsis

`pg_test_fsync` [*`option`*...]

## Description

pg\_test\_fsync is intended to give you a reasonable idea of what the fastest [wal\_sync\_method](runtime-config-wal.html#GUC-WAL-SYNC-METHOD) is on your specific system, as well as supplying diagnostic information in the event of an identified I/O problem. However, differences shown by pg\_test\_fsync might not make any significant difference in real database throughput, especially since many database servers are not speed-limited by their write-ahead logs. pg\_test\_fsync reports average file sync operation time in microseconds for each `wal_sync_method`, which can also be used to inform efforts to optimize the value of [commit\_delay](runtime-config-wal.html#GUC-COMMIT-DELAY).

## Options

pg\_test\_fsync accepts the following command-line options:

`-f`  
`--filename`

 Specifies the file name to write test data in. This file should be in the same file system that the `pg_wal` directory is or will be placed in. (`pg_wal` contains the WAL files.) The default is `pg_test_fsync.out` in the current directory.

`-s`  
`--secs-per-test`

 Specifies the number of seconds for each test. The more time per test, the greater the test's accuracy, but the longer it takes to run. The default is 5 seconds, which allows the program to complete in under 2 minutes.

`-V`  
`--version`

 Print the pg\_test\_fsync version and exit.

`-?`  
`--help`

 Show help about pg\_test\_fsync command line arguments, and exit.

## Environment

 The environment variable `PG_COLOR` specifies whether to use color in diagnostic messages. Possible values are `always`, `auto` and `never`.

## See Also

[postgres](app-postgres.html)

---

|[Prev](app-pgrewind.html)|[Up](reference-server.html)| [Next](pgtesttiming.html)|
|:------------------------|:-------------------------:|-------------------------:|
|       pg\_rewind        |    [Home](index.html)     |     pg\_test\_timing     |

 // \<![CDATA[ \<-- For SVG support if ('WebSocket' in window) { (function() { function refreshCSS() { var sheets = [].slice.call(document.getElementsByTagName("link")); var head = document.getElementsByTagName("head")[0]; for (var i = 0; i \< sheets.length; ++i) { var elem = sheets[i]; head.removeChild(elem); var rel = elem.rel; if (elem.href && typeof rel != "string" || rel.length == 0 || rel.toLowerCase() == "stylesheet") { var url = elem.href.replace(/(&|\\?)\_cacheOverride=\\d+/, ''); elem.href = url + (url.indexOf('?') \>= 0 ? '&' : '?') + '\_cacheOverride=' + (new Date().valueOf()); } head.appendChild(elem); } } var protocol = window.location.protocol === 'http:' ? 'ws://' : 'wss://'; var address = protocol + window.location.host + window.location.pathname + '/ws'; var socket = new WebSocket(address); socket.onmessage = function(msg) { if (msg.data == 'reload') window.location.reload(); else if (msg.data == 'refreshcss') refreshCSS(); }; console.log('Live reload enabled.'); })(); } // ]]\>